<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hpsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hpsc_config_t</compoundname>
    <includes local="no">cy_ble_hps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hpsc__config__t_1a026449b5e4ead03241715bf7ffef3bf8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__hpsc__t">cy_stc_ble_hpsc_t</ref> *</type>
        <definition>cy_stc_ble_hpsc_t* cy_stc_ble_hpsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="149" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hpsc__config__t_1a5dd63e46365ee78a4b9f8d2da2dd30bd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hpsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="152" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="152" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="838">
        <label>cy_stc_ble_hpsc_t</label>
        <link refid="structcy__stc__ble__hpsc__t" />
        <childnode refid="839" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="837">
        <label>cy_stc_ble_hpsc_config_t</label>
        <link refid="structcy__stc__ble__hpsc__config__t" />
        <childnode refid="838" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="839">
        <label>cy_stc_ble_hpsc_char_t</label>
        <link refid="structcy__stc__ble__hpsc__char__t" />
      </node>
    </collaborationgraph>
    <location bodyend="154" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="146" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="147" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hpsc__config__t_1a026449b5e4ead03241715bf7ffef3bf8" virt="non-virtual"><scope>cy_stc_ble_hpsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__hpsc__config__t_1a5dd63e46365ee78a4b9f8d2da2dd30bd" virt="non-virtual"><scope>cy_stc_ble_hpsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>